Create Document Upload API

Uploads a single document (up to a maximum of 10MB in file size) that BlueSnap underwriting requested during the merchant onboarding process.

To retrieve information about the documents BlueSnap requested, send a Retrieve Document Upload Request.

Endpoint

https://platform.bluesnap.com/services/2/merchants/verification/documents

Request Content

ParameterRequiredDescription
caseIdrequiredUnique identifier that BlueSnap assigned to this document request. This is the value sent in the case_id parameter in the APPLICATION_DOCUMENT_REQUEST webhook.
sandboxIdrequiredUnique identifier for the merchant's test account. This is the value sent in the sandbox_id parameter in the APPLICATION_DOCUMENT_REQUEST webhook.
docTyperequiredCategory of the requested document. Accepts the following values:
  • bankDocument
  • financialStatements
  • processingStatements
  • companyRepresentativeId
  • miscellaneousRequest
  • businessArticle
  • businessTaxId
  • websiteDescription
  • owner[n]Id (The index [n] supports 1- 4 for the Owner ID. The FName and LName of the individual will be passed to you in the response for clarity.)
titlerequiredFile name of the document uploaded by the merchant.
fileTyperequiredFile format of the document uploaded by the merchant. Accepts the following values:
  • csv
  • doc
  • docx
  • jpg or jpeg
  • pdf
  • png
  • ppt
  • pptx
  • xls
  • xlsx
descriptionrequiredNotes about the document. Use this to provide context for BlueSnap underwriting.
contentrequiredBase64-encoded string that contains file data.

Response

{
    "status": "success",
    "message": "File Uploaded"
}

Examples

Requests

curl -v -X POST https://platform.bluesnap.com/services/2/merchants/verification/documents \
-H 'Content-Type: application/json' \
-H 'Accept: text/plain' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
    "caseId": "5005a00002hJd75AAC",
    "sandboxId": "1156375",
    "docType": "bankDocument",
    "title": "bankcheck.pdf",
    "fileType": "pdf",
    "description": "My Voided Check",
    "content": "SGVsbG8gQmx1ZVNuYXA="
}'

Responses

{
    "status": "success",
    "message": "File Uploaded"
}